aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>1999-03-26 22:56:03 +0000
committerBill Nottingham <notting@redhat.com>1999-03-26 22:56:03 +0000
commite59ea20ab92b6320b5db5d86e3d3ef2503b50ff3 (patch)
tree43a172c17cc1fef3869ea67f150e9a4e90198afd
parent53d2741afe8206dccacf52abc8763bf798e82da6 (diff)
downloadinitscripts-e59ea20ab92b6320b5db5d86e3d3ef2503b50ff3.tar
initscripts-e59ea20ab92b6320b5db5d86e3d3ef2503b50ff3.tar.gz
initscripts-e59ea20ab92b6320b5db5d86e3d3ef2503b50ff3.tar.bz2
initscripts-e59ea20ab92b6320b5db5d86e3d3ef2503b50ff3.tar.xz
initscripts-e59ea20ab92b6320b5db5d86e3d3ef2503b50ff3.zip
nfsfs -> netfs.
-rwxr-xr-xrc.d/init.d/netfs90
-rwxr-xr-xrc.d/init.d/nfsfs64
2 files changed, 90 insertions, 64 deletions
diff --git a/rc.d/init.d/netfs b/rc.d/init.d/netfs
new file mode 100755
index 00000000..43d067ce
--- /dev/null
+++ b/rc.d/init.d/netfs
@@ -0,0 +1,90 @@
+#!/bin/sh
+#
+# netfs Mount network filesystems.
+#
+# Authors: Bill Nottingham <notting@redhat.com>
+# Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
+#
+# chkconfig: 345 15 85
+# description: Mounts and unmounts all Network File System (NFS), \
+# SMB (Lan Manager/Windows), and NCP (NetWare) mount points.
+
+# Source networking configuration.
+if [ ! -f /etc/sysconfig/network ]; then
+ exit 0
+fi
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+NFSFSTAB=`grep -v '^#' /etc/fstab | awk '{ if ($3 ~ /^nfs$/ && $4 !~ /noauto/) print $2}'`
+SMBFSTAB=`grep -v '^#' /etc/fstab | awk '{ if ($3 ~ /^smbfs$/ && $4 !~ /noauto/) print $2}'`
+NCPFSTAB=`grep -v '^#' /etc/fstab | awk '{ if ($3 ~ /^ncpfs$/ && $4 !~ /noauto/) print $2}'`
+NFSMTAB=`grep -v '^#' /proc/mounts | awk '{ if ($3 ~ /^nfs$/ && $4 !~ /noauto/) print $2}'`
+SMBMTAB=`grep -v '^#' /proc/mounts | awk '{ if ($3 ~ /^smbfs$/ && $4 !~ /noauto/) print $2}'`
+NCPMTAB=`grep -v '^#' /proc/mounts | awk '{ if ($3 ~ /^ncpfs$/ && $4 !~ /noauto/) print $2}'`
+
+# See how we were called.
+case "$1" in
+ start)
+ [ -n "$NFSFSTAB" ] && action "Mounting NFS filesystems" mount -a -t nfs
+ [ -n "$SMBFSTAB" ] && action "Mounting SMB filesystems" mount -a -t smbfs
+ [ -n "$NCPFSTAB" ] && action "Mounting NCP filesystems" mount -a -t ncpfs
+ touch /var/lock/subsys/netfs
+ action "Mounting other filesystems" mount -a
+ ;;
+ stop)
+ [ -n "$NFSMTAB" ] && action "Unmounting NFS filesystems" umount -a -t nfs
+ [ -n "$SMBMTAB" ] && action "Unmounting SMB filesystems" umount -a -t smbfs
+ [ -n "$NCPMTAB" ] && action "Unmounting NCP filesystems" umount -a -t ncpfs
+ rm -f /var/lock/subsys/netfs
+ ;;
+ status)
+ if [ -f /proc/mounts ] ; then
+ [ -n "$NFSFSTAB" ] && {
+ echo "Configured NFS mountpoints:"
+ for fs in $NFSFSTAB; do echo $fs ; done
+ }
+ [ -n "$SMBFSTAB" ] && {
+ echo "Configured SMB mountpoints:"
+ for fs in $SMBFSTAB; do echo $fs ; done
+ }
+ [ -n "$NCPFSTAB" ] && {
+ echo "Configured NCP mountpoints:"
+ for fs in $NCPFSTAB; do echo $fs ; done
+ }
+ [ -n "$NFSMTAB" ] && {
+ echo "Active NFS mountpoints:"
+ for fs in $NFSMTAB; do echo $fs ; done
+ }
+ [ -n "$SMBMTAB" ] && {
+ echo "Active SMB mountpoints:"
+ for fs in $SMBMTAB; do echo $fs ; done
+ }
+ [ -n "$NCPMTAB" ] && {
+ echo "Active NCP mountpoints:"
+ for fs in $NCPMTAB; do echo $fs ; done
+ }
+ else
+ echo "/proc filesystem unavailable"
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ reload)
+ $0 start
+ ;;
+ *)
+ echo "Usage: netfs {start|stop|restart|reload|status}"
+ exit 1
+esac
+
+exit 0
+
diff --git a/rc.d/init.d/nfsfs b/rc.d/init.d/nfsfs
deleted file mode 100755
index 7bf40719..00000000
--- a/rc.d/init.d/nfsfs
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/bin/sh
-#
-# nfsfs Mount NFS filesystems.
-#
-# Version: @(#) /etc/init.d/skeleton 1.01 26-Oct-1993
-#
-# Author: Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
-#
-# chkconfig: 345 15 85
-# description: Mounts and unmounts all Network File System (NFS) \
-# mount points.
-
-# Source networking configuration.
-if [ ! -f /etc/sysconfig/network ]; then
- exit 0
-fi
-
-# Source function library.
-. /etc/rc.d/init.d/functions
-
-. /etc/sysconfig/network
-
-# Check that networking is up.
-[ ${NETWORKING} = "no" ] && exit 0
-
-# See how we were called.
-case "$1" in
- start)
- action "Mounting remote filesystems" mount -a -t nfs
- touch /var/lock/subsys/nfsfs
- action "Mounting other filesystems" mount -a
- ;;
- stop)
- action "Unmounting remote filesystems" umount -a -t nfs
- rm -f /var/lock/subsys/nfsfs
- ;;
- status)
- if [ -f /proc/mounts ] ; then
- echo "Configured NFS mountpoints:"
- grep -v '^#' /etc/fstab | \
- awk '{ if ($3 ~ /^nfs$/ && $4 !~ /noauto/)
- print $2}'
- echo "Active NFS mountpoints:"
- grep -v '^#' /proc/mounts | \
- awk '{ if ($3 ~ /^nfs$/ && $4 !~ /noauto/)
- print $2}'
- else
- echo "/proc filesystem unavailable"
- fi
- ;;
- restart)
- $0 stop
- $0 start
- ;;
- reload)
- mount -a -t nfs
- ;;
- *)
- echo "Usage: nfsfs {start|stop|restart|reload|status}"
- exit 1
-esac
-
-exit 0
-